sboclean(1)

NAME

sboclean - clean files left around by sbotools.

SYNAPSES

sboclean [-h|-v] [-dwi]

DESCRIPTION

sboclean is used to clean files left around by sbotools, such as downloaded source files ("distfiles"), or work directories under /tmp/SBo (or $TMP) and, for compat32 installs, under /tmp (or $TMP). Note that if not run with the -i flag, sboclean will remove anything in the distfiles or /tmp/SBo (or $TMP) folders and any /tmp/package-*-compat32 (or $TMP/package-*-compat32) directories with extreme prejudice. One of either -d or -w must be specified for this script to do anything.

OPTIONS

-h|--help
    Show help information.

-v|--version
    Show version information.

-d|--clean-dist
    Clean distfiles, by default located at /usr/sbo/distfiles.

-w|--clean-work
    Clean working directories, located, by default under /tmp/SBo and, for compat32 installs, by default, /tmp.

-i|--interactive
    Be interactive; sboclean will ask for confirmation for each item which it thinks should be removed.

EXIT CODES

sboclean can exit with the following codes:
    0: all operations completed successfully.
    1: a usage error occurred, such as running sboclean with nothing to clean.

BUGS

None known, but there may be some. Please report any found to https://github.com/pink-mist/sbotools/issues ; patches are always welcome.

SEE ALSO

sbocheck(1), sboconfig(1), sbofind(1), sboinstall(1), sboremove(1), sbosnap(1), sboupgrade(1), sbotools.conf(5)

AUTHOR

Jacob Pipkin <j@dawnrazor.net>

Luke Williams <xocel@iquidus.org>

Andreas Guldstrand <andreas.guldstrand@gmail.com>